Forward テンプレートを ID で取得します。
GET /api/v1/forward/templates/{template_id}
エージェント設定とセッションのデフォルト値を含む、完全なテンプレートオブジェクトを返します。
Headers
| Header | Required | Description |
|---|---|---|
Authorization | Yes | Bearer <PAT または SAT> |
Path parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
template_id | string | Yes | Forward の Template ID。 |
Example request
Example response
HTTP 200 OK
Response fields
| Field | Type | Description |
|---|---|---|
type | string | 常に template。 |
id | string | Template ID。 |
name | string | テンプレート名。 |
status | string | active または archived。 |
model | string | モデル識別子。 |
system | string | システムプロンプト。 |
environment_id | string | デフォルトの Environment ID。 |
metadata | object | カスタムメタデータ。 |
Errors
| HTTP | Type | Trigger |
|---|---|---|
| 401 | authentication_error | PAT または SAT が無効または期限切れ。 |
| 403 | permission_error | このリソースへのアクセス権がない。 |
| 404 | not_found_error | テンプレートが存在しない、または呼び出し元に表示されない。 |
| 401 | authentication_error | authentication_required |
Notes
- アーカイブ済みのテンプレートも ID で取得できます。
- 実行時のみに存在する Qoder Cloud Agents のフィールドは、このレスポンスには追加されません。